gratifiant > linux.debian.user.french

G2PC (25/09/2019, 16h50)
Je suis entrain de revoir la page de mon wiki concernant l'installation
de Debian.

J'ai le lien suivant qui m'informe que la version LTS de Debian est
Debian Stretch.

Buster n'est pas déjà devenu la version officielle LTS ?

C'est étonnant de ne pas retrouver Buster sur cette page, ou, c'est
effectivement Stretch qui est en LTS ?

Notes sur la version LTS de Debian :
Sébastien NOBILI (25/09/2019, 17h00)
Bonjour,25 septembre 2019 16:42 "G2PC" <g2pc> a écrit:
> Buster n'est pas déjà devenu la version officielle LTS ?
> C'est étonnant de ne pas retrouver Buster sur cette page, ou, c'est effectivement Stretch qui est
> en LTS ?La oldstable devient LTS quand elle ne profite plus du support sécurité standard, soit un an après la publication de stable.


Ajourd'hui, c'est donc encore Jessie qui est LTS. Stretch profite du même support sécurité que
Buster.
Dans un peu moins d'un an, Jessie n'aura plus aucun support sécurité et Buster passera du support
sécurité standard vers le support LTS (réduit).
Buster entrera en support LTS vers 2022.

Des détails là :
Et là :

Sébastien
Jean-Pierre Giraud (26/09/2019, 09h30)
Bonjour,

Le 25/09/2019 à 16:41, G2PC a écrit :
> Je suis entrain de revoir la page de mon wiki concernant
> l'installation de Debian.
> J'ai le lien suivant qui m'informe que la version LTS de Debian est
> Debian Stretch.
> Buster n'est pas déjà devenu la version officielle LTS ?
> C'est étonnant de ne pas retrouver Buster sur cette page, ou, c'est
> effectivement Stretch qui est en LTS ?
> Notes sur la version LTS de Debian : En regardant la page du lien ci-dessus, le lis :


Debian 9 « Stretch »     i386, amd64, armel, armhf et arm64 (à revoir
avant le démarrage)     de 2020 à juin 2022

Il y a un décalage d'un an entre le passage en oldstable (le jour dela
parution de la nouvelle version stable - Buster en l'occurrence) et
l'abandon de la prise en charge de sécurité "normal" qui adviendra donc
en juillet 2020 sans doute et le relai pris par le LTS pris en charge
par une équipe différente.

Il n'y a donc pas de simultanéité entre le passage de stable ->
oldstable et le passage du support de sécurité standard -> lts,comme
l'explique aussi Sébastien.

Amicalement,

jipege
yamo' (26/09/2019, 10h40)
Salut,

G2PC a tapoté le 25/09/2019 16:50:
> Je suis entrain de revoir la page de mon wiki concernant l'installation
> de Debian.
> J'ai le lien suivant qui m'informe que la version LTS de Debian est
> Debian Stretch.
> Buster n'est pas déjà devenu la version officielle LTS ?
> C'est étonnant de ne pas retrouver Buster sur cette page, ou, c'est
> effectivement Stretch qui est en LTS ?
> Notes sur la version LTS de Debian :


La notion LTS Debian et Ubuntu n'est pas exactement la même.

Sur Debian c'est un état, sur Ubuntu ça qualifie une version qui va être
maintenue longtemps.

Attention, comme sur Ubuntu, tout n'est pas forcément maintenu 5 ans cf :
<https://wiki.debian.org/fr/LTS/FAQ>
<https://doc.ubuntu-fr.org/lts#application_de_l_etiquette_lts>
Haricophile (27/09/2019, 00h20)
Le jeudi 26 septembre 2019 à 10:18 +0200, yamo' a écrit :
> La notion LTS Debian et Ubuntu n'est pas exactement la même.
> Sur Debian c'est un état, sur Ubuntu ça qualifie une version qui va
> être
> maintenue longtemps.


C'est même pas du tout la même chose. La "LTS" de Ubuntu correspond à
peu près à la version "stable" de Debian, en rapport avec la version
standard qui change tous les 6 mois.

La LTS de Debian est une version maintenue au delà du cycle normal, pour
des entreprise dont le besoin d'avoir un système parfaitement stable et
connu jusqu'au moindre recoin sur une longue durée prime sur le fait
d'avoir un système récent, comme la NASA qui a paradoxalement des
systèmes de conception parfois très anciennes, ils ne travaille pas sur
la même échelle de temps, et la fiabilité prime sur tout le reste. Le
dépannage chez eux peut être très compliqué et dans l'espace ça coûte
très cher quand il est seulement possible.

Il faut faire attention, car le support LTS ne s'applique pas à la
totalité de la distribution, on ne supporte pas ces programmes pour
faire tourner Libreoffice... Ça demanderait trop de moyens pour aucun
intérêt... bref c'est une version quand "on sait ce qu'on fait".

Pour un ordinateur assez ancien, il existe aussi des distribution
"light" qui sont plus modestes quand au nombre de paquets supportés,
mais qui peuvent redonner une jeunesse aux ordinausores avec un système
optimisé pour occuper moins de place et consommer moins de ressources.
Discussions similaires